# $Revision: 1.17 $, $Date: 2002/10/18 01:23:02 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	CDDB perl module
Summary(pl):	Modu perla do CDDB
Name:		perl-CDDB_get
Version:	2.11
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/authors/id/F/FO/FONKIE/CDDB_get-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module/script gets the CDDB info for an audio cd.

%description -l pl
Ten modu/skrypt zbiera informacje z bazy CDDB dla pyt audio CD.

%prep
%setup -q -n CDDB_get-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cddb.pl
%{perl_sitelib}/CDDB_get.pm
%{perl_sitelib}/cddb.pl
%dir %{perl_sitelib}/auto/CDDB_get
%{perl_sitelib}/auto/CDDB_get/autosplit.ix
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-CDDB_get.spec,v $
Revision 1.17  2002/10/18 01:23:02  ankry
- tests, cleaning
- updated to 2.11

Revision 1.16  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.15  2002/07/11 07:57:14  depesz
- new version; should work; STBR

Revision 1.14  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/03/03 21:07:20  marcus
- rel.2.

Revision 1.12  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/10 15:39:12  depesz
adapterized

Revision 1.10  2002/02/09 12:59:37  depesz
- unfied source path

Revision 1.9  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/06/06 16:12:42  mis
- autoupdated to 1.66

Revision 1.7  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.6  2001/04/17 12:05:42  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.5  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.4  2001/03/29 07:42:32  mis
- autoupdated to 1.61

Revision 1.3  2001/01/29 10:20:58  zagrodzki
- 755 on %%{_bindir}/*
- removed README (unnecessary)
- release 2

Revision 1.2  2001/01/22 19:24:28  kloczek
- cosmetics.

Revision 1.1  2001/01/22 17:17:52  zagrodzki
- initial release
